POST /api/saved_objects/_bulk_create

Spaces method and path for this operation:

post /s/{space_id}/api/saved_objects/_bulk_create

Refer to Spaces for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Creates multiple Kibana saved objects in a single request.

For transferring or backing up saved objects, prefer the import and export APIs (POST /api/saved_objects/_import and POST /api/saved_objects/_export).

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Query parameters

  • overwrite boolean

    Overwrite existing saved objects that match the same type and ID.

    Default value is false.

application/json

Body

  • attributes object Required
  • coreMigrationVersion string
  • id string
  • initialNamespaces array[string]

    At least 1 but not more than 100 elements.

  • migrationVersion object
    Hide migrationVersion attribute Show migrationVersion attribute object
    • * string Additional properties
  • references array[object]

    Not more than 1000 elements.

    Hide references attributes Show references attributes object
    • id string Required
    • name string Required
    • type string Required
  • type string Required
  • typeMigrationVersion string
  • version string

Responses

  • 200 application/json

    A bulk create response.

  • 400 application/json

    A bad request.

POST /api/saved_objects/_bulk_create
curl \
  -X POST "${KIBANA_URL}/api/saved_objects/_bulk_create?overwrite=false" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '[{"type":"dashboard","id":"example-dashboard-1","attributes":{"title":"Example dashboard 1"},"references":[]},{"type":"dashboard","id":"example-dashboard-2","attributes":{"title":"Example dashboard 2"},"references":[]}]'
POST kbn://api/saved_objects/_bulk_create?overwrite=false
[{"type":"dashboard","id":"example-dashboard-1","attributes":{"title":"Example dashboard 1"},"references":[]},{"type":"dashboard","id":"example-dashboard-2","attributes":{"title":"Example dashboard 2"},"references":[]}]
Request example
[
  {
    "attributes": {
      "title": "Example dashboard 1"
    },
    "id": "example-dashboard-1",
    "references": [],
    "type": "dashboard"
  },
  {
    "attributes": {
      "title": "Example dashboard 2"
    },
    "id": "example-dashboard-2",
    "references": [],
    "type": "dashboard"
  }
]
Response examples (200)
{
  "saved_objects": [
    {
      "attributes": {
        "title": "Example dashboard 1"
      },
      "id": "example-dashboard-1",
      "managed": false,
      "namespaces": [
        "default"
      ],
      "references": [],
      "type": "dashboard",
      "updated_at": "2026-04-17T12:00:00.000Z",
      "version": "WzEsMV0="
    },
    {
      "error": {
        "error": "Conflict",
        "message": "Saved object [dashboard/example-dashboard-2] conflict",
        "statusCode": 409
      },
      "id": "example-dashboard-2",
      "type": "dashboard"
    }
  ]
}
Response examples (400)
{
  "error": "Bad Request",
  "message": "Unsupported saved object type(s): unknownType",
  "statusCode": 400
}